
#include <proto/exec.h>
#include <proto/dos.h>
#include <proto/intuition.h>
#include <proto/graphics.h>
#include <proto/datatypes.h>
#include <datatypes/pictureclass.h>


BOOL load_pic (char *filename,struct BitMap **bitmap_ptr,ULONG **palette_ptr);
BOOL save_pic (char *filename,struct BitMap *bitmap,ULONG *palette);


int main (void)

{
struct RDArgs *rdargs;
static struct {
	char *from;
	char *to;
	} args = {NULL};
int rc = RETURN_ERROR;
struct BitMap *bitmap;
ULONG *palette;

if (rdargs = ReadArgs ("FROM/A,TO/A",(APTR)&args,NULL))
	{

	if (load_pic (args.from,&bitmap,&palette))
		{
		if (save_pic (args.to,bitmap,palette))
			rc = RETURN_OK;

		FreeBitMap (bitmap);
		FreeVec (palette);
		}

	FreeArgs (rdargs);
	}

PrintFault (IoErr(),NULL);
return (rc);
}

